Bearer token obtained from the authenticate endpoint.
Unique identifier of the chat to retrieve.
Response
Unique identifier for the chat.
Display title for the chat.
Preview of the first message.
List of messages in the conversation.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET https://api.trellis.sh/v1/chats/chat_abc123 \
-H "Authorization: Bearer YOUR_TOKEN"
import requests
response = requests.get(
"https://api.trellis.sh/v1/chats/chat_abc123",
headers={"Authorization": "Bearer YOUR_TOKEN"}
)
chat = response.json()
const response = await fetch("https://api.trellis.sh/v1/chats/chat_abc123", {
headers: { Authorization: "Bearer YOUR_TOKEN" },
});
const chat = await response.json();
{
"id": "chat_abc123",
"title": "Revenue Analysis",
"preview": "Show me the monthly revenue trends...",
"messages": [
{
"id": "msg_001",
"role": "user",
"content": "Analyze the attached report and show me monthly revenue trends",
"timestamp": "2025-01-11T14:30:00Z",
"metadata": {
"uploads": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"filename": "report.pdf",
"upload_type": "document",
"mime_type": "application/pdf",
"file_size": 245760,
"storage_path": "chat_uploads/abc123.pdf",
"presigned_url": "https://s3.amazonaws.com/..."
}
]
}
},
{
"id": "msg_002",
"role": "assistant",
"content": "Here's the monthly revenue breakdown for 2025:\n\n| Month | Revenue |\n|-------|--------|\n| January | $125,000 |\n| February | $142,000 |\n...",
"timestamp": "2025-01-11T14:30:10Z",
"metadata": {
"feedback": "positive"
}
}
]
}
{
"detail": "Chat not found"
}
Retrieve a specific chat with all its messages
Show Message object
"user" or "assistant".Show Metadata properties
"positive" or "negative".upload_ids. Each upload includes a fresh presigned download URL.curl -X GET https://api.trellis.sh/v1/chats/chat_abc123 \
-H "Authorization: Bearer YOUR_TOKEN"
import requests
response = requests.get(
"https://api.trellis.sh/v1/chats/chat_abc123",
headers={"Authorization": "Bearer YOUR_TOKEN"}
)
chat = response.json()
const response = await fetch("https://api.trellis.sh/v1/chats/chat_abc123", {
headers: { Authorization: "Bearer YOUR_TOKEN" },
});
const chat = await response.json();
{
"id": "chat_abc123",
"title": "Revenue Analysis",
"preview": "Show me the monthly revenue trends...",
"messages": [
{
"id": "msg_001",
"role": "user",
"content": "Analyze the attached report and show me monthly revenue trends",
"timestamp": "2025-01-11T14:30:00Z",
"metadata": {
"uploads": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"filename": "report.pdf",
"upload_type": "document",
"mime_type": "application/pdf",
"file_size": 245760,
"storage_path": "chat_uploads/abc123.pdf",
"presigned_url": "https://s3.amazonaws.com/..."
}
]
}
},
{
"id": "msg_002",
"role": "assistant",
"content": "Here's the monthly revenue breakdown for 2025:\n\n| Month | Revenue |\n|-------|--------|\n| January | $125,000 |\n| February | $142,000 |\n...",
"timestamp": "2025-01-11T14:30:10Z",
"metadata": {
"feedback": "positive"
}
}
]
}
{
"detail": "Chat not found"
}